import { Cache } from './cache';
import { CollectBundleFilesOptions } from './interfaces/analysis-options.interface';
import { SupportedFiles, FileInfo } from './interfaces/files.interface';
export declare function notEmpty<T>(value: T | null | undefined): value is T;
export declare function parseFileIgnores(path: string): string[];
export declare function getGlobPatterns(supportedFiles: SupportedFiles): string[];
export declare function collectIgnoreRules(dirs: string[], symlinksEnabled?: boolean, fileIgnores?: string[]): Promise<string[]>;
export declare function determineBaseDir(paths: string[]): string;
/**
 * Returns bundle files from requested paths
 * */
export declare function collectBundleFiles({ symlinksEnabled, baseDir, fileIgnores, paths, supportedFiles, }: CollectBundleFilesOptions): AsyncGenerator<FileInfo>;
export declare function prepareExtendingBundle(baseDir: string, supportedFiles: SupportedFiles, fileIgnores: string[] | undefined, files: string[], symlinksEnabled?: boolean): Promise<{
    files: FileInfo[];
    removedFiles: string[];
}>;
export declare function getBundleFilePath(filePath: string, baseDir: string): string;
export declare function calcHash(content: string): string;
export declare function getFileInfo(filePath: string, baseDir: string, withContent?: boolean, cache?: Cache | null): Promise<FileInfo | null>;
export declare function resolveBundleFiles(baseDir: string, bundleMissingFiles: string[]): Promise<FileInfo[]>;
export declare function resolveBundleFilePath(baseDir: string, bundleFilePath: string): string;
export declare function composeFilePayloads(files: FileInfo[], bucketSize?: number): Generator<FileInfo[]>;
export declare function isMatch(filePath: string, rules: string[]): boolean;
